com.smartgwt.client.widgets.events

## Interface HasDropHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BrowserPlugin, Button, Calendar, Canvas, ColorPicker, ColumnTree, CubeGrid, DateChooser, DateGrid, DateRangeDialog, DetailViewer, Dialog, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditTree, EventWindow, FacetChart, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MultiFilePicker, MultiGroupDialog, NavigationBar, NavigationButton, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VLayout, VStack, WidgetCanvas, Window

      public interface HasDropHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addDropHandler(DropHandler handler)` Notification method fired when the user drops another canvas onto this one.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addDropHandler

          com.google.gwt.event.shared.HandlerRegistration addDropHandler(DropHandler handler)

      Notification method fired when the user drops another canvas onto this one. Returning `false` from this method will prevent any default drop behavior from occurring
      Parameters:
        `handler` - the drop handler
      Returns:
        `HandlerRegistration` used to remove this handler